#ifndef SPECIALMESSAGEBOX_H
#define SPECIALMESSAGEBOX_H

#include <QDialog>

namespace Ui {
class SpecialMessageBox;
}

class SpecialMessageBox : public QDialog
{
    Q_OBJECT

public:
    enum TypeSpecMsgBox {
        warningYesNo,
        warningClose,
        critical,
        info
    };

public:
    explicit SpecialMessageBox(QWidget *parent, TypeSpecMsgBox type, const QString& text);
    ~SpecialMessageBox();

private slots:
    void on_btnYes_clicked();

    void on_btnNo_clicked();

private:
    Ui::SpecialMessageBox *ui;
};

#endif // SPECIALMESSAGEBOX_H
